Point Damoa Payment (Checkout Method)
Point Damoa is a service that allows customers to pay by consolidating various points they hold (telecom points, card points, etc.).
Test Key Information
API Information
POST/point/main.do
Content-Type
application/x-www-form-urlencoded테스트
https://tbnpg.settlebank.co.kr/point/main.do운영
https://npg.settlebank.co.kr/point/main.doImportant Notes
NOTE
Point Damoa Service Notice
Point Damoa is a service that allows customers to consolidate and use various points for payment.
Test Environment IP Allowlist
In the Point Damoa test environment, you must request IP allowlisting from Point Hub (the checkout provider), not Hecto Financial. The IP is based on the browser (client) IP accessing the checkout, not the server IP.
- Various points such as telecom points and card points can be used together.
- CI information may be required when customer authentication is needed.
- Partial cancellation is not supported. If a cancellation is needed, cancel the full amount and then request a new approval.
Request Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
Required Parameters
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
nxpt_kt_il: Point Damoa Test└methodAN(20)Alphanumeric, up to 20 bytes*Payment type code
Payment type code
*Fixed value
└trdDtN(8)Numeric, up to 8 bytes*Request date (yyyyMMdd)
Request date (yyyyMMdd)
└trdTmN(6)Numeric, up to 6 bytes*Request time (HH24MISS)
Request time (HH24MISS)
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant (no Korean characters)
Unique order number generated by the merchant (no Korean characters)
└mchtNameAHN(100)Alphanumeric + Korean, up to 100 bytes*Merchant name (Korean)
Merchant name (Korean)
└mchtENameAN(100)Alphanumeric, up to 100 bytes*Merchant name (English)
Merchant name (English)
└pmtPrdtNmAHN(128)Alphanumeric + Korean, up to 128 bytes*Payment product name
Payment product name
└trdAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Transaction amountTransaction amount
└notiUrlAN(250)Alphanumeric, up to 250 bytes*Webhook endpoint URL to receive payment results (server-to-server)
Webhook endpoint URL to receive payment results (server-to-server)
└nextUrlAN(250)Alphanumeric, up to 250 bytes*URL to redirect to the payment result screen
URL to redirect to the payment result screen
*Redirected when a button inside the checkout is clicked. Check outStatCd to confirm payment success (0021) or failure (0031).
└cancUrlAN(250)Alphanumeric, up to 250 bytes*URL to redirect when the customer clicks the X button in the checkout
URL to redirect when the customer clicks the X button in the checkout
*Browser close and back navigation are not detected.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
mchtId + method + mchtTrdNo + trdDt + trdTm + trdAmt (plaintext) + hashKey
Optional Parameters
└mchtCustNmAHN(30)Alphanumeric + Korean, up to 30 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Customer nameCustomer name
└mchtCustIdAN(50)Alphanumeric, up to 50 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Merchant customer IDMerchant customer ID
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address
Customer IP address
└emailAN(60)Alphanumeric, up to 60 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Customer email addressCustomer email address
└mchtParamAHN(4000)Alphanumeric + Korean, up to 4000 bytesMerchant reserved field (returned as-is when results are delivered)
Merchant reserved field (returned as-is when results are delivered)
└prdtTermN(14)Numeric, up to 14 bytesProduct provision period (yyyyMMddHHmmss; if empty, displayed as a regular payment)
Product provision period (yyyyMMddHHmmss; if empty, displayed as a regular payment)
└clipCustNmAHN(30)Alphanumeric + Korean, up to 30 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Point Damoa customer namePoint Damoa customer name
└clipCustCiAN(100)Alphanumeric, up to 100 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Point Damoa CIPoint Damoa CI
└clipCustPhoneNoN(11)Numeric, up to 11 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64Point Damoa mobile phone numberPoint Damoa mobile phone number
└certNotiUrlAN(250)Alphanumeric, up to 250 bytesAuthentication result URL (server-to-server; used only for specific merchants)
Authentication result URL (server-to-server; used only for specific merchants)
└skipCdA(1)Alphabetic, up to 1 bytesWhether to skip terms agreement
Whether to skip terms agreement
└multiPayAN(2)Alphanumeric, up to 2 bytesPoint combined payment (used for credit card combined payment)
Point combined payment (used for credit card combined payment)
MP: Combined paymentResponse Parameters
Upon payment completion or failure, a redirect to nextUrl occurs; when the customer clicks the X button inside the checkout, a redirect to cancUrl occurs, and the following parameters are passed. Browser close and back navigation are not detected.
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
Common Response
└mchtIdAN(10)Alphanumeric, up to 10 bytes*Merchant ID
nxpt_kt_ilMerchant ID
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code
0021Transaction status code
0021: Success 0061: Authentication success (Deferred Capture) 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Result code
0000Result code
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
└methodAN(20)Alphanumeric, up to 20 bytes*Payment method
pointPayment method
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number
POINT20211231100000Merchant order number
└mchtCustIdAN(50)Alphanumeric, up to 50 bytes
AES-256AES-256/ECB/PKCS5PaddingMerchant customer IDHongGilDongMerchant customer ID
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Hecto Financial transaction number
STFP_PGCPnxpt_kt_il0211129135810M1494620Hecto Financial transaction number
└trdAmtN(12)Numeric, up to 12 bytes*
AES-256AES-256/ECB/PKCS5PaddingTransaction amount1000Transaction amount
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└mchtParamAHN(4000)Alphanumeric + Korean, up to 4000 bytesThe value received in the request is returned as-is
name=HongGilDong&age=25The value received in the request is returned as-is
└authDtN(14)Numeric, up to 14 bytesApproval datetime
20211231100000Approval datetime
Webhook (Payment Result)
After payment is completed, Hecto Financial sends a webhook to your server.
NOTE
Webhook Reference
For webhook parameters and processing methods for Point Damoa payment results, see the Webhook document.
Need technical support?
Code Samples
HectoFinancial GitHub